Package io.vertx.ext.auth.webauthn4j

## Enum UserVerification

- java.lang.Object
- - java.lang.Enum<UserVerification>
  - - io.vertx.ext.auth.webauthn4j.UserVerification

- All Implemented Interfaces:
    `Serializable`, `Comparable<UserVerification>`

      public enum UserVerification
      extends Enum<UserVerification>

  UserVerificationRequirement https://www.w3.org/TR/webauthn/#enumdef-userverificationrequirement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISCOURAGED` |
    `PREFERRED` |
    `REQUIRED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UserVerification` | `of​(String string)` |
    `String` | `toString()` |
    `static UserVerification` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static UserVerification[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRED

          public static final UserVerification REQUIRED

    - #### PREFERRED

          public static final UserVerification PREFERRED

    - #### DISCOURAGED

          public static final UserVerification DISCOURAGED

  - ### Method Detail

    - #### values

          public static UserVerification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserVerification c : UserVerification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserVerification valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<UserVerification>`

    - #### of

          public static UserVerification of​(String string)